using UnityEngine;

public class TracerScore : MonoBehaviour {

    private int currentScore = 0;

    public void AddScore(int scoreToAdd) {
        currentScore += scoreToAdd;
        Debug.Log(
          string.Format(
             "{0} has received score {1}, current score is {2} ({3}s)",
             name, scoreToAdd, currentScore, Time.time)
        );
    }
}
